Uploaded image for project: 'Picard'
  1. Picard
  2. PICARD-1299

Unable to install discid

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: 2.0.1
    • Fix Version/s: None
    • Component/s: Other
    • Labels:
      None
    • Environment:
      Windows 64 bit

      Description

      I have installed libdiscid by followign these instructions:
      To install libdiscid, download "libdiscid-0.6.1-win32.zip" from https://musicbrainz.org/doc/libdiscid and put discid.dll in your Windows\System32 folder (Windows 32-bit) or Windows\SysWOW64 folder (Windows 64-bit).

      DLL copied to SysWow64 folder
      When I try to run the install discid command, I receive the following errors:

      C:\src\picard>pip3 install discid
      Collecting discid
      Using cached https://files.pythonhosted.org/packages/a2/76/463785b1715b461c2fc0dad73b115e6ca061dbd768154b88242974d04a9f/discid-1.1.1.tar.gz
      Complete output from command python setup.py egg_info:
      Traceback (most recent call last):
      File "C:\Users\dpetit\AppData\Local\Temp\pip-install-zbcpe043\discid\discid\libdiscid.py", line 99, in _open_library
      return ctypes.cdll.LoadLibrary(lib_name)
      File "c:\users\dpetit\appdata\local\programs\python\python37\lib\ctypes_init_.py", line 434, in LoadLibrary
      return self._dlltype(name)
      File "c:\users\dpetit\appdata\local\programs\python\python37\lib\ctypes_init.py", line 356, in __init_
      self._handle = _dlopen(self._name, mode)
      OSError: [WinError 126] The specified module could not be found

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "C:\Users\dpetit\AppData\Local\Temp\pip-install-zbcpe043\discid\setup.py", line 6, in <module>
      from discid import _version_
      File "C:\Users\dpetit\AppData\Local\Temp\pip-install-zbcpe043\discid\discid_init_.py", line 30, in <module>
      from discid.disc import read, put, Disc, DiscError, TOCError
      File "C:\Users\dpetit\AppData\Local\Temp\pip-install-zbcpe043\discid\discid\disc.py", line 24, in <module>
      from discid.libdiscid import _LIB, FEATURES
      File "C:\Users\dpetit\AppData\Local\Temp\pip-install-zbcpe043\discid\discid\libdiscid.py", line 108, in <module>
      _LIB = _open_library(_LIB_NAME)
      File "C:\Users\dpetit\AppData\Local\Temp\pip-install-zbcpe043\discid\discid\libdiscid.py", line 103, in _open_library
      raise OSError("could not find libdiscid: %s" % lib_name)
      OSError: could not find libdiscid: discid.dll

      ----------------------------------------
      Command "python setup.py egg_info" failed with error code 1 in C:\Users\dpetit\AppData\Local\Temp\pip-install-zbcpe043\discid\

      Is there anything else that needs to be done to get this to work?

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            dpetit123456 Dan Petit
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Packages

                Version Package